Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.store.hib
Class DbConfStoreConnectionFactory.DataSourceConnectionProvider

    java.lang.Object
      org.apache.ode.store.hib.DbConfStoreConnectionFactory.DataSourceConnectionProvider

All Implemented Interfaces:
  org.hibernate.connection.ConnectionProvider

Enclosing class:
  DbConfStoreConnectionFactory

    public static class DbConfStoreConnectionFactory.DataSourceConnectionProvider

extends java.lang.Object
implements org.hibernate.connection.ConnectionProvider

Constructor Summary
`DbConfStoreConnectionFactory.DataSourceConnectionProvider()`

Method Summary
`void` | `close()`
`void` | `closeConnection(java.sql.Connection arg0)`
`void` | `configure(java.util.Properties props)`
`java.sql.Connection` | `getConnection()`
`boolean` | `supportsAggressiveRelease()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DbConfStoreConnectionFactory.DataSourceConnectionProvider

    public DbConfStoreConnectionFactory.DataSourceConnectionProvider()

Method Detail

### configure

    public void configure(java.util.Properties props)
                   throws org.hibernate.HibernateException

  Specified by:
    `configure` in interface `org.hibernate.connection.ConnectionProvider`
  Throws:
    `org.hibernate.HibernateException`

### getConnection

    public java.sql.Connection getConnection()
                                      throws java.sql.SQLException

  Specified by:
    `getConnection` in interface `org.hibernate.connection.ConnectionProvider`
  Throws:
    `java.sql.SQLException`

### closeConnection

    public void closeConnection(java.sql.Connection arg0)
                         throws java.sql.SQLException

  Specified by:
    `closeConnection` in interface `org.hibernate.connection.ConnectionProvider`
  Throws:
    `java.sql.SQLException`

### close

    public void close()
               throws org.hibernate.HibernateException

  Specified by:
    `close` in interface `org.hibernate.connection.ConnectionProvider`
  Throws:
    `org.hibernate.HibernateException`

### supportsAggressiveRelease

    public boolean supportsAggressiveRelease()

  Specified by:
    `supportsAggressiveRelease` in interface `org.hibernate.connection.ConnectionProvider`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD